function [parameters] = get_part_filt_param(parameters)

parameters.numSteps = 300;
parameters.scanTime = 1;             

parameters.sigmaDrivingNoise = .05;
parameters.sigmaMeasurementNoiseRange = 10;
parameters.sigmaMeasurementNoiseBearing = 2;
parameters.sensorPosition = [0;50];

parameters.detectionProbability = .9;
parameters.meanClutter = 10;
parameters.measurementRange = 750;

parameters.priorCovariance = diag([10;10;5;5]);

parameters.pcloud_match_var = 1;

% number of particles
parameters.numParticles = 100;

end