function [frames_to_video,odo_xy,rmse_vec] = radarOdometry_blind(radarData,feat_det_param,scan_match_param)

numScans = size(radarData,1);
% Variable Outs
odo_xy = zeros(numScans,3);
tform_xy = zeros(3,3,numScans);
temp_obj = affine2d;
tform_xy(:,:,1) = temp_obj.T;
rmse_vec = zeros(numScans);

% Initialize Plotter
odo_plot_helper();

for scan = 1 : numScans
    % Decode radar example
    radar = radarData{scan};
    % Feature Detection and Cleaning
    [plot_vars,ptcloud_new] = feat_detect_helper(radar,feat_det_param);
    if(scan~=1)
        % Do Scan Matching
        [tform,tformpcloud,rmse] = scan_match_helper(ptcloud_old,ptcloud_new,scan_match_param);             
        tform_xy(:,:,scan) = aftform_3d2d(tform.T);
        odo_xy(scan,:) = transformPointsForward(tform,odo_xy(scan-1,:));
        rmse_vec(scan) = rmse;
        ptcloud_old2 = ptcloud_old;
    else
        tformpcloud = [];
        ptcloud_old2 = [];
    end
    ptcloud_old = ptcloud_new;
    [frames_to_video] = odo_plot_helper(ptcloud_old,tformpcloud,ptcloud_old2,feat_det_param,plot_vars);

end

end